commit:     e7dbd9f0e6fcee1556cc06fdcda5005c059552e7
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 27 01:25:00 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Aug 27 04:24:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7dbd9f0

dev-python/oslo-config: 4.11.0 bup

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/oslo-config/Manifest                  |  1 +
 dev-python/oslo-config/oslo-config-4.11.0.ebuild | 76 ++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/oslo-config/Manifest b/dev-python/oslo-config/Manifest
index 2cb25acb1ae..8b7af14c9d2 100644
--- a/dev-python/oslo-config/Manifest
+++ b/dev-python/oslo-config/Manifest
@@ -1 +1,2 @@
 DIST oslo-config-3.22.1.tar.gz 117975 SHA256 
94992fce59bdd654632275527d479ca9426ea0fe43c97cf7fc74305a96e1bb92 SHA512 
af84f132d33b1fc4a63f4006231bfe09bd2a1ed0236e14e79d6013d7c697814a23f9318666186a6916c00f0157c2df227ed07fd874a65129e0cc686a90e82704
 WHIRLPOOL 
fbb8f69af03d03e1c533b12011820abb04a603e2312281aa6f1d223fc074549ee53daf311a3313cd9fea29b54d4108d68deec35ac3e6b9a5c99f8cc1e21366d7
+DIST oslo-config-4.11.0.tar.gz 129139 SHA256 
1be8aaba466a3449fdb21ee8f7025b0d3d252c8c7568b8d5d05ceff58617cd05 SHA512 
19bcd0d0a2dd9aa97ff16fb7de310a15eb47849c9e3b18e8afc911ed6c2f7c1c6d7452c0ae4cec2c01f94c04a506421681435967e9a82e075390c739d6afe6f1
 WHIRLPOOL 
91e9cf4e124b2ebab448f37738abb5c55d051a06dc6da513f1e13882b3d2eba20bbc73483640f06ef3571c1037bfb1d6ed0012ebfc896c00d9944e29e5537a1b

diff --git a/dev-python/oslo-config/oslo-config-4.11.0.ebuild 
b/dev-python/oslo-config/oslo-config-4.11.0.ebuild
new file mode 100644
index 00000000000..4da26fd10e4
--- /dev/null
+++ b/dev-python/oslo-config/oslo-config-4.11.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo Configuration API"
+HOMEPAGE="https://launchpad.net/oslo";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-1.3[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+               >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+               >=dev-python/mock-2.0[${PYTHON_USEDEP}]
+               >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+               !~dev-python/reno-2.3.1[${PYTHON_USEDEP}]
+       )
+       doc? (
+               >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+               >=dev-python/openstackdocstheme-1.11.0[${PYTHON_USEDEP}]
+               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+               !~dev-python/reno-2.3.1[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/netaddr-0.7.13[${PYTHON_USEDEP}]
+       !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-i18n-3.15.2[${PYTHON_USEDEP}]
+       >=dev-python/rfc3986-0.3.1[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.10.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       use doc && esetup.py build_sphinx
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       rm -rf .testrepository || die "could not remove '.testrepository' under 
${EPTYHON}"
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to